petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscSpaceTensorGetNumSubspaces

Get the number of spaces in the tensor product

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscSpaceTensorGetNumSubspaces(PetscSpace sp, PetscInt *numTensSpaces)

### Input Parameter

sp -the function space object

### Output Parameter

numTensSpaces -the number of spaces

### See Also

PetscSpaceTensorSetNumSubspaces(), PetscSpaceSetDegree(), PetscSpaceSetNumVariables()

### Level

intermediate

### Location

src/dm/dt/space/impls/tensor/spacetensor.c

### Implementations

PetscSpaceTensorGetNumSubspaces_Tensor in src/dm/dt/space/impls/tensor/spacetensor.c
Index of all SPACE routines
Table of Contents for all manual pages
Index of all manual pages